#ifndef _COLORS_H_
#define _COLORS_H_


#define OFF (color){.r = 0x00, .g = 0x00, .b = 0x00}
#define RED (color){.r = 0xFF, .g = 0x00, .b = 0x00}
#define GREEN (color){.r = 0x00, .g = 0xFF, .b = 0x00}
#define BLUE (color){.r = 0x00, .g = 0x00, .b = 0xFF}
#define DARK_BLUE (color){.r = 0x00, .g = 0x33, .b = 0x66}
#define YELLOW (color) {.r = 0xFF, .g = 0xA5, .b = 0x00}
#define CYAN (color){.r = 0x00, .g=0xFF, .b = 0xFF}
#define MAGENTA (color){.r = 0x8b, .g=0x00, .b = 0x8b}

#define MAX_COLOR_LENGTH 10

typedef struct color {
    unsigned char r;
    unsigned char g;
    unsigned char b;
} color;


void clrToString(char* buff, color clr);
color stringToColor(char* clr);


#endif
