// I2C Wrapper Tool module header

#ifndef _I2CDEVICE_H
#define _I2CDEVICE_H

#include <unistd.h>


int i2cWrite(void* buffer, size_t length);
int i2cRead(void* buffer, size_t length);

void initializeI2C(const char* bus, unsigned int deviceAddress);
void destroyI2C();


#endif
