// Low level API to the Seesaw framework based on ATSAMD09 chip

#ifndef _SEESAW_H_
#define _SEESAW_H

#include <stdio.h>

void initializeSeeSawDevice(const char* bus, unsigned int deviceAddress);

// Seesaw write: writes to the chip
void ssWrite(size_t n, ...);
int ssRead(unsigned char base, unsigned char reg, unsigned char* buf, size_t n);
unsigned char ssRead8(unsigned char base, unsigned char reg);
void destroySeeSawDevice();


#endif
