#include "colors.h"
#include "controls.h"


// Convert color value to string representation
void clrToString(char* buff, color clr) {
    char* k;

    if (compareColors(clr, RED) == true) {
        k = "RED";
    } else if (compareColors(clr, BLUE) == true) {
        k = "BLUE";
    } else if (compareColors(clr, CYAN) == true) {
        k = "CYAN";
    } else if (compareColors(clr, GREEN) == true) {
        k = "GREEN";
    } else if (compareColors(clr, MAGENTA) == true) {
        k = "MAGENTA";
    } else if (compareColors(clr, YELLOW) == true) {
        k = "YELLOW";
    } else {
        k = "NONE";
    }

    snprintf(buff, MAX_COLOR_LENGTH, "%s", k);
}


// Convert color string to color value
color stringToColor(char* clr) {
    if (strcmp(clr, "RED") == 0) {
        return RED;
    } else if (strcmp(clr, "BLUE") == 0) {
        return BLUE;
    } else if (strcmp(clr, "CYAN") == 0) {
        return CYAN;
    } else if (strcmp(clr, "GREEN") == 0) {
        return GREEN;
    } else if (strcmp(clr, "MAGENTA") == 0) {
        return MAGENTA;
    } else if (strcmp(clr, "YELLOW") == 0) {
        return YELLOW;
    }
    return OFF;
}
