#include "trellis.h"
#include "colors.h"
#define TRELLIS_SIZE 16


const char* I2C2_BUS = "/dev/i2c-2";
const unsigned int I2C_MATRIX_ADDRESS = 0x2E;


// Test driver. It will set all the LEDs on the matrix RED.

int main() {
    initializeTrellis(I2C2_BUS, I2C_MATRIX_ADDRESS);
    for (int i = 0; i < TRELLIS_SIZE; i++) {
        setPixelColor(i, RED);
    }
    pixelOn();

    return 0;
}